clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::sema::CompoundScopeInfo Class Reference

Contains information about the compound statement currently being parsed. More...

`#include "clang/Sema/ScopeInfo.h"`

Collaboration diagram for clang::sema::CompoundScopeInfo:
[legend]

## Public Member Functions
| CompoundScopeInfo (bool IsStmtExpr)
void | setHasEmptyLoopBodies ()

## Public Attributes
bool | HasEmptyLoopBodies = false
| Whether this compound stamement contains `for' or `while' loops with empty bodies. More...
bool | IsStmtExpr
| Whether this compound statement corresponds to a GNU statement expression. More...

## Detailed Description

Contains information about the compound statement currently being parsed.

Definition at line 67 of file ScopeInfo.h.

## Constructor & Destructor Documentation

## ◆ CompoundScopeInfo()

clang::sema::CompoundScopeInfo::CompoundScopeInfo | ( | bool | IsStmtExpr | ) |
| inline

Definition at line 77 of file ScopeInfo.h.

## Member Function Documentation

## ◆ setHasEmptyLoopBodies()

void clang::sema::CompoundScopeInfo::setHasEmptyLoopBodies | ( |  | ) |
| inline

Definition at line 79 of file ScopeInfo.h.

## Member Data Documentation

## ◆ HasEmptyLoopBodies

bool clang::sema::CompoundScopeInfo::HasEmptyLoopBodies = false

Whether this compound stamement contains `for' or `while' loops with empty bodies.

Definition at line 71 of file ScopeInfo.h.

## ◆ IsStmtExpr

bool clang::sema::CompoundScopeInfo::IsStmtExpr

Whether this compound statement corresponds to a GNU statement expression.

Definition at line 75 of file ScopeInfo.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/ScopeInfo.h